Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LayerEditorUI Class Reference
Inheritance diagram for LayerEditorUI:

## Public Member Functions
| __init__ (self, parent, editor)
| addLayer (self)
| addLayerData (self, idx, objUID)
| addLayerEntry (self, name, idx)
| addObj (self)
| deleteLayer (self)
| findLabel (self, text)
| getSaveData (self)
| HideObj (self, hide)
| menuAppendGenItems (self)
| menuAppendObjItems (self, hitItem)
| onPopupItemSelected (self, event)
| onShowMembers (self, event)
| onShowPopup (self, event)
| removeObj (self)
| removeObjData (self, objUID)
| renameLayer (self)
| reset (self)
| traverse (self)

## Public Attributes
| editor = editor
str | editorTxt = "Layer Editor"
| layersDataDict = dict()
int | layersDataDictNextKey = 0
| llist = wx.ListCtrl(self, -1, style=wx.LC_REPORT|wx.LC_EDIT_LABELS|wx.LC_NO_HEADER)
| menuItemsGen = list()
| menuItemsObj = list()
| onPopupItemSelected = self.popupmenu.Append(-1, item)
| onShowMembers
| onShowPopup
str | opAdd = "Add Layer"
str | opAddObj = "Add Selected Object"
str | opDelete = "Delete Layer"
str | opHideObj = "Hide Layer Objects"
str | opRemoveObj = "Remove Selected Object"
str | opRename = "Rename Layer"
str | opShowObj = "Show Layer Objects"
| popupmenu = wx.Menu()
list | saveData = []
list | systemLayerKeys = []

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ addLayer()

addLayer | ( |  | self | ) |

## ◆ addLayerData()

addLayerData | ( |  | self,
|  |  | idx,
|  |  | objUID )

## ◆ addLayerEntry()

addLayerEntry | ( |  | self,
|  |  | name,
|  |  | idx )

## ◆ addObj()

addObj | ( |  | self | ) |

## ◆ deleteLayer()

deleteLayer | ( |  | self | ) |

## ◆ findLabel()

findLabel | ( |  | self,
|  |  | text )

## ◆ getSaveData()

getSaveData | ( |  | self | ) |

## ◆ HideObj()

HideObj | ( |  | self,
|  |  | hide )

## ◆ menuAppendGenItems()

menuAppendGenItems | ( |  | self | ) |

## ◆ menuAppendObjItems()

menuAppendObjItems | ( |  | self,
|  |  | hitItem )

## ◆ onPopupItemSelected()

onPopupItemSelected | ( |  | self,
|  |  | event )

## ◆ onShowMembers()

onShowMembers | ( |  | self,
|  |  | event )

## ◆ onShowPopup()

onShowPopup | ( |  | self,
|  |  | event )

## ◆ removeObj()

removeObj | ( |  | self | ) |

## ◆ removeObjData()

removeObjData | ( |  | self,
|  |  | objUID )

## ◆ renameLayer()

renameLayer | ( |  | self | ) |

## ◆ reset()

reset | ( |  | self | ) |

## ◆ traverse()

traverse | ( |  | self | ) |

## Member Data Documentation

## ◆ editor

editor = editor

## ◆ editorTxt

editorTxt = "Layer Editor"

## ◆ layersDataDict

layersDataDict = dict()

## ◆ layersDataDictNextKey

layersDataDictNextKey = 0

## ◆ llist

llist = wx.ListCtrl(self, -1, style=wx.LC_REPORT|wx.LC_EDIT_LABELS|wx.LC_NO_HEADER)

## ◆ menuItemsGen

menuItemsGen = list()

## ◆ menuItemsObj

menuItemsObj = list()

## ◆ onPopupItemSelected

onPopupItemSelected = self.popupmenu.Append(-1, item)

## ◆ onShowMembers

onShowMembers

## ◆ onShowPopup

onShowPopup

## ◆ opAdd

opAdd = "Add Layer"

## ◆ opAddObj

opAddObj = "Add Selected Object"

## ◆ opDelete

opDelete = "Delete Layer"

## ◆ opHideObj

opHideObj = "Hide Layer Objects"

## ◆ opRemoveObj

opRemoveObj = "Remove Selected Object"

## ◆ opRename

str opRename = "Rename Layer"

## ◆ opShowObj

opShowObj = "Show Layer Objects"

## ◆ popupmenu

popupmenu = wx.Menu()

## ◆ saveData

list saveData = []

## ◆ systemLayerKeys

list systemLayerKeys = []